klassy (6.5.3-1) UNRELEASED; urgency=low
  *Fix bug where "Match titlebar to application colour" would break header colours.
  *New "Hide titlebar on any maximization or windows kept behind" Window-Specific override option.
 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 21 Feb 2026 16:11:00 +0000

klassy (6.5.2-1) UNRELEASED; urgency=low
  *This release is the same as Klassy v6.5.1, except it can also be built for Plasma 6.3+. If you are using Plasma < 6.5 then the "Round all corners with no borders" option will always be false.
 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 07 Feb 2026 09:44:00 +0000

klassy (6.5.1-1) UNRELEASED; urgency=low
  *Bugfix to prevent hangs for certain users when switching colour scheme or using the file picker.
 -- Paul A McAuley <kde@paulmcauley.com>  Fri, 06 Feb 2026 11:48:00 +0000

klassy (6.5-1) UNRELEASED; urgency=low
  *Defaults return to their roots with the new Kite global theme in both light and dark versions.
  *Many bugfixes related to scaling with many more areas of the window-decoration pixel-snapped.
  *Fix bug where titlebar grows when active changes
  *Fix bugs where resize handles not appearing
  *Fix Klassy corner radius not being applied to selection areas ("rubber bands")
  *Fix contrast of window buttons on inactive windows or in applications
  *New option for bold icons on active window only
  *New option for inactive button colours to be the same as active colours on hover and press
  *New "unison hovering" option for Eaten Fruits
  *New "Match titlebar to application colour" option (+window specific overrides) makes adding Header colours to colour schemes unnecessary - instead just click this checkbox! New options to make active titles bold and underlined.
  *New "Round all corners when no borders" option will clip the window corners to round them (both top and bottom, the latter when the titlebar is hidden). A 3rd party kwin plugin is no longer necessary to do this!
  *New pixel-snapping for window outlines
  *New window-specific overrides options for Hide Titlebar - options for only "on maximized window" and "on windows kept behind" is for tiling window manager (e.g. Krohnkite) users
  *Presets consolidated and tweaked. The previous work on the former default "Opal" and "Kisweet" presets can now be found in the new "Opal Fruits" preset
  *Activating the new keep in front ("keep above") icon can now show an accented window outline around the window
  *Allow Exception regular expressions to match ^ and $ characters.
  *New SuessigKite, Ark, and Arkopal icons (Arkopal and Kisweet will probably be deleted in the future as I thought they were too busy - shout out if anyone wants to keep them)
  *Partial workaround to blur artefacts created due to integer blurRegion (bug https://bugs.kde.org/show_bug.cgi?id=453229)
  *French translation - translations are now working so let's get some more languages!
  *Relevant changes from Breeze 6.5.5
  *NB: ~/.config/klassyrc config files from previous releases are incompatible due to all geometries being standardised to be in pixels@100%. Your old config will be backed up as klassyrc<timestamp>.old. If you want to convert your old klassyrc config then make sure you have a RefreshedConfig=6.5 line and multiply all geometries by 2, except for corner radii.
 -- Paul A McAuley <kde@paulmcauley.com>  Wed, 04 Feb 2026 12:00:00 +0000

klassy (6.4-1) UNRELEASED; urgency=low
  *Gapless auto-hiding scrollbar arrows. Scrollbars with auto-hide arrows enabled hide the arrow when the slider is at the extremity; the slider may also be mouse-dragged when the slider is at this extremity position
  *"Kisweet" now the default theme
  *Use nextState for borders when not directly using value for painting. Fixes some glitches when changing titlebar size.
  *Do not use KConfigWatcher for colour scheme - fixes a crash that would occur on login if "Accent colour from wallpaper" is used
 -- Paul A McAuley <kde@paulmcauley.com>  Tue, 18 Jun 2025 12:00:00 +0000

klassy (6.3-1) UNRELEASED; urgency=low
  *Ported to KDecoration3. Plasma 6.3+ now required
  *New default "Opal" theme, designed to be subtly more colourful and to show a clear difference between active and inactive windows
  *Eliminated most fractional scaling glitches
  *New "Kisweet" icon set
  *Generated "klassy" system icons now show more colours.
  *Presets now save window control button positions
  *Fix Window Outline not being displayed properly when set to None
  *Refactor and simplification of kstyle so that all colourscheme changes will reliably be reacted to
  *Changes from Breeze up to 6.3.5 (except for the new ugly immutable tabs)
 -- Paul A McAuley <kde@paulmcauley.com>  Tue, 06 May 2025 12:00:00 +0000

klassy (6.2-1) UNRELEASED; urgency=low
  *Plasma 6.1+ now required due to API change for window decoration spacer buttons
  *Add configuration of spacer button width and touch mode scaling
  *Fix titlebar height not always being calculated properly
  *Fix transparent state-change animation glitch in twilight theme
  *Window corner radius is now in units of pixels @100% scaling
  *User-adjustable Application Style corner radii
  *Allow scrollbar separator line to be hidden, hidden by default
  *Use dark icons with dark desktop themes
  *Do not generate help-contextual-symbolic icon any more
  *All relevant fixes from Breeze up to Plasma 6.2.1
 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 19 Oct 2024 12:00:00 +0000

klassy (6.0.1-1) UNRELEASED; urgency=low
  *Add a Plasma style so that vertical panels are more compact
  *Traditional icon style
  *Tweak icon opacities
  *Tweak twilight titlebar opacity
  *Plastik preset
  *Fix clang compilation
  *Draw tools area separator in whole pixels
  *Fixes from Breeze 6.0.3
 -- Paul A McAuley <kde@paulmcauley.com>  Thu, 11 Apr 2024 13:00:00 +0000

klassy (6.0-1) UNRELEASED; urgency=low
  *Major release for Plasma 6.0!
  *Includes all features in Klassy 5.1 ported to Qt6, KF6 and C++20
  *Include all bugfixes from Breeze 6
  *Most "frameless" Application Style changes merged from Breeze6, with the exception of changes to the scrollbars
  *Fewer graphical glitches on Wayland
  *Improved library structure for better efficiency
  *Support for translucent header areas in dialogs
  *Fix tools area separator positioning cf Breeze
  *Fix for bug in Breeze where application palette does not reload
  *Disable extended resize handles by default as they interfere with the scrollbars in the new frameless application style
  *No longer auto-switch to Adwaita GTK style as Breeze GTK works better in Plasma 6
 -- Paul A McAuley <kde@paulmcauley.com>  Thu, 14 Mar 2024 22:00:00 +0000

klassy (5.27.2-1) UNRELEASED; urgency=low
  *Improve performance of rendering system icons
  *Tweaks to vertical icon offset with integrated button shapes
  *Adjust opacities in Breeze Original and Windows 10 presets
 -- Paul A McAuley <kde@paulmcauley.com>  Thu, 14 Mar 2024 12:00:00 +0000

klassy (5.27.1-1) UNRELEASED; urgency=low
  *New Presets feature allowing simplified customization:
  *Extensive new button colour customization options.
  *Advanced button behaviour settings for different button states.
  *Tweaks to icon snapping algorithms for even sharper and more accurate icon rendering in more circumstances.
  *"Klassy" and "Klassy dark" icon themes are now auto-generated at all major scale factors on a setting change. There is now no-need to separately install a Klassy icon theme, and the inheritance properties of the icon theme can be set under the "System Icon Generation..." button.
  *New Global Themes and colour schemes as an attempt to provide sane KDE defaults.
  *Superior colouring of system icons when "use system icon theme" is used - KDE SVG CSS colour properties used, with a new "force colourize" option for non-KDE icons using a superior alpha-replacement colourization algorithm.
  *Superior multi-monitor rendering of system icons when "use system icon theme" is set.
  *New "Redmond 11" built-in icons.
  *New "Integrated Rounded Rectangle, grouped" button shape.
  *Ability to customize close button width specifically, and ability to set corner radius specifically for a button.
  *New active state change animation for buttons.
  *Window decoration and button colours are now all cached. Colours for complex button state options now share a common code-path between Window Decoration and Application Style.
  *Buttons now only repaint if they have an intersecting paint region
  *New command line options for klassy-settings to load/import presets and generate icons. See klassy-settings --help
  *Allow titlebar opacity to be overridden when set in colourscheme
  *Switching the application palette between a colourscheme with header colours and one without now works (bug from Breeze)
  *All relevant updates from Breeze up to Plasma 5.27.11
  *NB: the config file has moved from ~/.config/klassyrc to a new one at ~/.config/klassy/klassyrc. Your old config file may still be present but many config keys differ between version 4 and version 5.
 -- Paul A McAuley <kde@paulmcauley.com>  Mon, 11 Mar 2024 12:00:00 +0000

klassy (5.27-1) UNRELEASED; urgency=low
  *Updates from upstream Breeze up to Plasma 5.27.5
  *Window class matching on Wayland for exceptions, and exception code overhaul. Kdenlive removed from default transparency exceptions, VirtualBox and DigiKam added.
  *JSON desktop files, and decoration config now in a separate static library.
  *Fix sharpness of corners when 0 corner radius.
  *Fix program icon sizes for sharpness.
  *Allow configuration of Window Outline transparencies.
  *Tweak shadow caching mechanism so cache used more often
  *Fix titlebar background colour animation
  *Fix titlebar separator display
  *Fix blurRegion shape when no borders
  *"Round bottom corners when no borders" experimental option for use with LightlyShaders etc.
 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 20 May 2023 23:25:00 +0000

klassy (5.26.2-1) UNRELEASED; urgency=low
  * Updates with changes from Breeze matching Plasma 5.26.
  * Defaults back to no borders and more square corner radius.
 -- Paul A McAuley <kde@paulmcauley.com>  Mon, 08 May 2023 22:25:00 +0000


klassy (5.26.1-1) UNRELEASED; urgency=low
  * Workaround to EGL_BAD_SURFACE segfaults that were introduced with changes in KDE Plasma 5.26
 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 06 May 2023 17:14:00 +0000

klassy (5.26-1) UNRELEASED; urgency=low
  * Rebrand from ClassiK to Klassy
  * Superior pixel alignment of included icons at all sizes, using new pixel-snapping algorithms.
  * No kornerbug as implemented the setBlurRegion() API (now requires Plasma 5.25)
  * New "integrated" button shape with option to highlight the window outline with the button outline colour
  * Translucent headers
  * Ability to load system icons, and optionally colourize them. This uses the window-*-symbolic icons.
  * Ability to set exceptions for opacity, and have default exceptions.
  * Configurable button size
  * Independent full-height and non-full height button-spacing
  * Configurable title padding
  * Independently configurable left/right and top/bottom margins
  * Ability to set window outline size, add a custom outline colour, and have an outline when shadows are disabled.
  * Fix scaling of titlebar separator
  * New distinct "Redmond" and "Redmond 10" icons
  * Updated pixel-aligned matching icon themes downloadable from "Get new Icons..." in KDE Plasma system settings.
  * Only process decoration colours once
  * All relevant changes from KDE Breeze master up to 5.25.80

 -- Paul A McAuley <kde@paulmcauley.com>  Tue, 09 Aug 2022 05:00:00 +0000

klassy (5.24-1) UNRELEASED; urgency=low
 
  New Features:
  * Rebrand from ClassikStyles to ClassiK
  * New default button style designed to complement "Blue Ocean" 5.23 design with outlined translucent rounded rectangles and accent colours
  * New "Contrast blended with accent colour" thin window outline (default) and more stark "accent colour" thin window outline
  * Larger icon sizes are now rendered sharper
  * Enhanced colour pre-processing
  * New "traffic lights" colour option
  * What was "Square" button shape is now called "Full-height Rectangle" and now allows both width and spacing to be set
  * Configurable animations; animations re-enabled and Breeze animation sync issue between decoration and client mostly fixed
  * Tweak Classik/Kite fine icon opacities
  * Titlebars with alpha set in system colour scheme now are considered for transparency, with the slider multiplying the existing alpha value
  * kde-gtk-config and standalone buttons now render as small rounded rectangles
  * Better support for large borders, with side margins now relative to border edge rather than titlebar edge
  * Titlebar separator now only appears for non-maximized windows and adjusts depending upon border type
  * Always shown close buttons now support accent colours
  * Remove limitation from Breeze whereby header is not drawn with borders
  * Rearranged config UIs
  * Compilation improvements

  Bug fixes:
  * Partial Kornerbug #395725 workaround - bug now only occurs when titlebar transparency and blur are explicitly set
  * Standalone buttons are now rendered correctly (e.g. for applet-window-buttons)
  * Config UIs now all use a dynamic layout
  * When titlebar is hidden, borders can inherit titlebar colour
  * Fix resizing from top of window when "Allow resizing maximized windows from window edges" is set
  * Partially fix scaling of thin window outline
  * Fix many deprecation warnings
  * Fix regression from Breeze where there was no hover on dock buttons 
  * All relevant fixes from the latest Breeze 5.23.80 master

 -- Paul A McAuley <kde@paulmcauley.com>  Sat, 11 Dec 2021 11:26:12 +0000


klassy (5.23-1) UNRELEASED; urgency=low
  * Use shared pointers instead of raw pointers for clipping window geometry

  Updates from Breeze master with all Plasma 5.22 features and preview of Plasma 5.23 features:
  * New QWindow-based Effects API now requires KDE Frameworks >= 5.82
  * Focus indicator for tabs is no longer duplicated
  * Fix resize splitter cursor glitch
  * Blue Ocean application style preview for Plasma 5.23

 -- Paul McAuley <kde@paulmcauley.com>  Thu, 15 Jul 2021 20:39:38 +0100


klassy (5.22.6-1) UNRELEASED; urgency=low

  * Don't draw contrasting window outline differently on Wayland
  * When contrasting window outline is disabled, use legacy Breeze geometry to prevent blurriness
  * Enlarged contrasting window outline geometry does not need adjusted corner radii

 -- Paul McAuley <kde@paulmcauley.com>  Sat, 15 May 2021 22:24:28 +0100


klassy (5.22.5-1) UNRELEASED; urgency=low

  Bug fixes:
  * 1px outline in shadow now appears when borders are enabled
  * Fixed shadow updating too often due to fontColor() changes
  * Rename outline close button option to "Permanently highlight close button"
  * Make consistent scrollbar edge case by also extending the size of the scrollbar groove

  New features:
  * "Draw thin contrasting window outline" toggle now available in Shadows section of window decoration configuration

 -- Paul McAuley <kde@paulmcauley.com>  Mon, 10 May 2021 18:38:15 +0100



klassy (5.22.4-1) UNRELEASED; urgency=low

  Bug fixes:
  * Window border in shadow now 1px on X11 to prevent blurriness at 100% scaling

 -- Paul McAuley <kde@paulmcauley.com>  Sun, 02 May 2021 00:00:26 +0100



klassy (5.22.3-1) UNRELEASED; urgency=low

  Bug fixes:
  * Corner radius setting now updates instantaneously
  * Auto-boldness now instantaneously adjusts per-display on Wayland
  * Improve robustness of GTK button generation
  * Window outline in shadow now has correct window shape when bottom corners of window are not rounded

  New features:
  * Subtle 1px outline of window in font colour to improve contrast and add polish

 -- Paul McAuley <kde@paulmcauley.com>  Sat, 01 May 2021 00:00:26 +0100


klassy (5.22.2-1) UNRELEASED; urgency=low

  * Corner clipping of background highlight now clips all buttons with titlebar to cover some edge cases
  * Fix for kde-gtk-config not rendering GTK CSD buttons when corners clipped
  * With Boldness set to Auto, kde-gtk-config's GTK CSD buttons and the Window Decoration preview are now consistent with the system (new global method of getting system scaling used)
  * Remove minor rendering artefacts in restore/maximize/minimize, improve question mark
  * Matching system icon themes now available (inherit Breeze icons)
  * Reduce size of button background highlight in Application Style, matching system icon theme
  * Latest updates from KDE Breeze master

 -- Paul McAuley <kde@paulmcauley.com>  Sun, 11 Apr 2021 00:00:26 +0100



klassy (5.22.1-1) UNRELEASED; urgency=low

  * New square button highlight style -- this has a larger clickable area       and is now the default;
  * New hover and focus colour inheritance option for both Window Decoration and Application Style; Auto contrast enhancement;
  * Implemented configurable sidebar and titlebar top/bottom margins; margins scale with DPI;
  * Option for different margins in a maximized window;
  * Implemented DPI-scaling corner radius setting;
  * Option to colour borders the same as titlebar;
  * Implemented transparency option for active/inactive windows, along with ability to have opaque maximized windows; blur is now enabled;
  * Bold icons are now automatically disabled for 96 DPI screens to prevent blurring;
  * Some refactoring and further separation from Breeze

 -- Paul McAuley <kde@paulmcauley.com>  Thu, 01 Apr 2021 18:08:26 +0100
